Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class DefaultSeparatorFactory

    java.lang.Object
      com.servingxml.components.flatfile.options.DefaultSeparatorFactory

All Implemented Interfaces:
  SeparatorFactory

    public class DefaultSeparatorFactory

extends java.lang.Object
implements SeparatorFactory

Constructor Summary
`DefaultSeparatorFactory(java.lang.String separator)`
`DefaultSeparatorFactory(SubstitutionExpr valueExpr)`
`DefaultSeparatorFactory(SubstitutionExpr valueExpr, SubstitutionExpr escapedByExpr)`
`DefaultSeparatorFactory(SubstitutionExpr valueExpr, SubstitutionExpr escapedByExpr, SubstitutionExpr continuationSequenceExpr)`

Method Summary
`Separator` | `createSeparator(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSeparatorFactory

    public DefaultSeparatorFactory(SubstitutionExpr valueExpr,
                                   SubstitutionExpr escapedByExpr,
                                   SubstitutionExpr continuationSequenceExpr)

### DefaultSeparatorFactory

    public DefaultSeparatorFactory(SubstitutionExpr valueExpr,
                                   SubstitutionExpr escapedByExpr)

### DefaultSeparatorFactory

    public DefaultSeparatorFactory(SubstitutionExpr valueExpr)

### DefaultSeparatorFactory

    public DefaultSeparatorFactory(java.lang.String separator)

Method Detail

### createSeparator

    public Separator createSeparator(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSeparator` in interface `SeparatorFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD